- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VOL_primal Class Reference

`#include <OsiTestSolver.hpp>`

Collaboration diagram for VOL_primal:

[legend]
List of all members.

## Public Member Functions
| VOL_primal (const int psize, const int dsize)
| VOL_primal (const VOL_primal &primal)
| ~VOL_primal ()
VOL_primal & | operator= (const VOL_primal &p)
void | cc (const double alpha, const VOL_primal &p)
void | find_max_viol (const VOL_dvector &dual_lb, const VOL_dvector &dual_ub)
| VOL_primal (const int psize, const int dsize)
| VOL_primal (const VOL_primal &primal)
| ~VOL_primal ()
VOL_primal & | operator= (const VOL_primal &p)
void | cc (const double alpha, const VOL_primal &p)
void | find_max_viol (const VOL_dvector &dual_lb, const VOL_dvector &dual_ub)
## Public Attributes
double | value
double | viol
VOL_dvector | x
VOL_dvector | v

## Detailed Description

Definition at line 311 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_primal::VOL_primal | ( | const int | psize,
|  | const int | dsize |
| ) |  |  | `[inline]`

Definition at line 322 of file OsiTestSolver.hpp.

VOL_primal::VOL_primal | ( | const VOL_primal & | primal | ) | `[inline]`

Definition at line 323 of file OsiTestSolver.hpp.

VOL_primal::~VOL_primal | ( |  | ) | `[inline]`

Definition at line 325 of file OsiTestSolver.hpp.

VOL_primal::VOL_primal | ( | const int | psize,
|  | const int | dsize |
| ) |  |  | `[inline]`

Definition at line 319 of file VolVolume.hpp.

VOL_primal::VOL_primal | ( | const VOL_primal & | primal | ) | `[inline]`

Definition at line 320 of file VolVolume.hpp.

VOL_primal::~VOL_primal | ( |  | ) | `[inline]`

Definition at line 322 of file VolVolume.hpp.

## Member Function Documentation

VOL_primal& VOL_primal::operator= | ( | const VOL_primal & | p | ) | `[inline]`

Definition at line 326 of file OsiTestSolver.hpp.

References v, value, viol, and x.

void VOL_primal::cc | ( | const double | alpha,
|  | const VOL_primal & | p |
| ) |  |  | `[inline]`

Definition at line 340 of file OsiTestSolver.hpp.

References VOL_dvector::cc(), v, value, and x.

void VOL_primal::find_max_viol | ( | const VOL_dvector & | dual_lb,
|  | const VOL_dvector & | dual_ub |
| ) |  |  |

VOL_primal& VOL_primal::operator= | ( | const VOL_primal & | p | ) | `[inline]`

Definition at line 323 of file VolVolume.hpp.

References v, value, viol, and x.

void VOL_primal::cc | ( | const double | alpha,
|  | const VOL_primal & | p |
| ) |  |  | `[inline]`

Definition at line 337 of file VolVolume.hpp.

References VOL_dvector::cc(), v, value, and x.

void VOL_primal::find_max_viol | ( | const VOL_dvector & | dual_lb,
|  | const VOL_dvector & | dual_ub |
| ) |  |  |

## Member Data Documentation

double VOL_primal::value

Definition at line 314 of file OsiTestSolver.hpp.

Referenced by cc(), and operator=().

double VOL_primal::viol

Definition at line 316 of file OsiTestSolver.hpp.

Referenced by operator=().

VOL_dvector VOL_primal::x

Definition at line 318 of file OsiTestSolver.hpp.

Referenced by cc(), and operator=().

VOL_dvector VOL_primal::v

Definition at line 320 of file OsiTestSolver.hpp.

Referenced by cc(), and operator=().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/Vol-1.2.0/Osi/test/OsiTestSolver.hpp
- /home/coin/SVN-release/Vol-1.2.0/Vol/src/VolVolume.hpp